
Katello - Feature #36227

Provide a package distribution link on the details page to download the package directly.

03/23/2023 04:42 PM - Samir Jha

Status: New   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Today on the package details page, we don't provide an easy way to download that package directly without browsing through the

"Published At" URL and getting to that package.

It might be useful to link directly to the download URL for the package on the UI.

Distribution URLs for the Content view repositories is also not shown on the UI anywhere even though those distributions are

browsable for the user. We should put that link somewhere on the UI for debugging purposes.

History

#1 - 03/23/2023 04:48 PM - Samir Jha

Samir Jha wrote:

Today on the package details page, we don't provide an easy way to download that package directly without browsing through the "Published At"

URL and getting to that package.

It might be useful to link directly to the download URL for the package on the UI.

Distribution URLs for the Content view repositories is also not shown on the UI anywhere even though those distributions are browsable for the

user. We should put that link somewhere on the UI for debugging purposes.

 Grant confirmed that "pulp_rpm distributions are always DIST-BASE/Packages/first-letter/list-of-packages"

We can create direct links to packages with that relative path.

#2 - 03/29/2023 05:35 PM - Lucy Fu

- Target version set to Katello 4.9.0

- Triaged changed from No to Yes

#3 - 05/26/2023 09:02 PM - Lucy Fu

- Target version changed from Katello 4.9.0 to Katello 4.10.0

#4 - 09/14/2023 08:28 PM - Samir Jha

- Target version changed from Katello 4.10.0 to Katello 4.12.0

#5 - 03/27/2024 01:25 PM - Quinn James

- Target version changed from Katello 4.12.0 to Katello 4.13.0

Bumping to 4.13
